## org.hibernate.metamodel.relational
Interface TableSpecification

All Superinterfaces:
  Loggable, ValueContainer

All Known Implementing Classes:
  AbstractTableSpecification, InLineView, Table

    public interface TableSpecification

extends ValueContainer, Loggable

Models what ANSI SQL terms a table specification which is a table or a view or an inline view.

Method Summary
`void` `addCheckConstraint(String checkCondition)`
`void` `addComment(String comment)`
`ForeignKey` `createForeignKey(TableSpecification targetTable, String name)`
`Tuple` `createTuple(String name)` Factory method for creating a `Column` associated with this container.
`Iterable<CheckConstraint>` `getCheckConstraints()`
`Iterable<String>` `getComments()`
`Iterable<ForeignKey>` `getForeignKeys()`
`Iterable<Index>` `getIndexes()`
`Index` `getOrCreateIndex(String name)`
`UniqueKey` `getOrCreateUniqueKey(String name)`
`PrimaryKey` `getPrimaryKey()` Get the primary key definition for this table spec.
`String` `getQualifiedName(Dialect dialect)`
`Schema` `getSchema()` Obtain a reference to the schema to which this table specification belongs.
`int` `getTableNumber()` Get the table number.
`Iterable<UniqueKey>` `getUniqueKeys()`
`Column` `locateOrCreateColumn(String name)` Factory method for creating a `Column` associated with this container.
`DerivedValue` `locateOrCreateDerivedValue(String fragment)` Factory method for creating a `DerivedValue` associated with this container.

Methods inherited from interface org.hibernate.metamodel.relational.ValueContainer
`getLoggableValueQualifier, values`

Methods inherited from interface org.hibernate.metamodel.relational.Loggable
`toLoggableString`

Method Detail

### getSchema

    Schema getSchema()

  Obtain a reference to the schema to which this table specification belongs.

  Returns:
    The schema to which this table specification belongs.

### getTableNumber

    int getTableNumber()

  Get the table number.

  Returns:
    the table number.

### getPrimaryKey

    PrimaryKey getPrimaryKey()

  Get the primary key definition for this table spec.

  Returns:
    The PK definition.

### locateOrCreateColumn

    Column locateOrCreateColumn(String name)

  Factory method for creating a `Column` associated with this container.

  Parameters:
    `name` - The column name
  Returns:
    The generated column

### createTuple

    Tuple createTuple(String name)

  Factory method for creating a `Column` associated with this container.

  Parameters:
    `name` - The column name
  Returns:
    The generated column

### locateOrCreateDerivedValue

    DerivedValue locateOrCreateDerivedValue(String fragment)

  Factory method for creating a `DerivedValue` associated with this container.

  Parameters:
    `fragment` - The value expression
  Returns:
    The generated value.

### getForeignKeys

    Iterable<ForeignKey> getForeignKeys()

### createForeignKey

    ForeignKey createForeignKey(TableSpecification targetTable,
                                String name)

### getIndexes

    Iterable<Index> getIndexes()

### getOrCreateIndex

    Index getOrCreateIndex(String name)

### getUniqueKeys

    Iterable<UniqueKey> getUniqueKeys()

### getOrCreateUniqueKey

    UniqueKey getOrCreateUniqueKey(String name)

### getCheckConstraints

    Iterable<CheckConstraint> getCheckConstraints()

### addCheckConstraint

    void addCheckConstraint(String checkCondition)

### getComments

    Iterable<String> getComments()

### addComment

    void addComment(String comment)

### getQualifiedName

    String getQualifiedName(Dialect dialect)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.